Checkouts
Listar Checkouts
GET
/v1/checkoutsBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAutenticação
bearerAuthorizationstring · header · obrigatório
Envie no header:
Authorization: Bearer {{token}}Lista todas as páginas de pagamento criadas com seus status e configurações.
Listar checkouts
const url = 'https://sandbox.validapay.com.br/v1/checkouts?limit=15&lastKey=&status=&search=';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"items": [
{
"id": "pl_xxx",
"url": "https://app.validapay.com.br/pagamento/pl_xxx"
}
],
"pagination": {
"total": 5,
"hasMore": false
}
}